#!/bin/sh
set -efu

pys="$(py3versions -s 2> /dev/null)"

ln -s /usr/lib/nagios/plugins/check_systemd "$AUTOPKGTEST_TMP/check_systemd.py"
cd "$AUTOPKGTEST_TMP"

for py in $pys; do
	echo "=== $py ==="
	PYTHONPATH=. $py -m pytest -k 'not test_entry_point' test 2>&1
done
